Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_Guard Class Reference

Guard for exception safe TAO_ClientRequestInfo_i pointer swapping. More...

`#include <ClientRequestInfo.h>`

Collaboration diagram for TAO_ClientRequestInfo_Guard:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_Guard (TAO_ClientRequestInfo *info, TAO_ClientRequestInfo_i *ri)
| Constructor. More...
| ~TAO_ClientRequestInfo_Guard (void)
| Destructor. More...
## Private Attributes
TAO_ClientRequestInfo * | info_
| Pointer to the TAO_ClientRequestInfo object upon which pointer swaps will occur. More...
TAO_ClientRequestInfo_i * | previous_info_
| Pointer to the TAO_ClientRequestInfo_i object that was previously stored in the TAO_ClientRequestInfo object. More...

## Detailed Description

Guard for exception safe TAO_ClientRequestInfo_i pointer swapping.

This class is used to ensure the swapping of TAO_ClientRequestInfo_i pointers in a TAO_ClientRequestInfo object is performed in an exception-safe manner when interception points are being invoked.

## Constructor & Destructor Documentation

ACE_INLINE TAO_ClientRequestInfo_Guard::TAO_ClientRequestInfo_Guard | ( | TAO_ClientRequestInfo * | info,
|  | TAO_ClientRequestInfo_i * | ri
| ) |

| Constructor.

TAO_ClientRequestInfo_Guard::~TAO_ClientRequestInfo_Guard | ( | void |  | ) |

| Destructor.

## Member Data Documentation

TAO_ClientRequestInfo* TAO_ClientRequestInfo_Guard::info_`[private]`

| Pointer to the TAO_ClientRequestInfo object upon which pointer swaps will occur.

TAO_ClientRequestInfo_i* TAO_ClientRequestInfo_Guard::previous_info_`[private]`

| Pointer to the TAO_ClientRequestInfo_i object that was previously stored in the TAO_ClientRequestInfo object.

The documentation for this class was generated from the following files:

- ClientRequestInfo.h
- ClientRequestInfo.cpp
- ClientRequestInfo.inl